### Method

# Gtk TextIter backward_search

#### Declaration [src]

    gboolean
    gtk_text_iter_backward_search (
      const GtkTextIter* iter,
      const char* str,
      GtkTextSearchFlags flags,
      GtkTextIter* match_start,
      GtkTextIter* match_end,
      const GtkTextIter* limit
    )

#### Description [src]

Same as gtk_text_iter_forward_search(), but moves backward.

`match_end` will never be set to a `GtkTextIter` located after `iter`, even if there is a possible `match_start` before or at `iter`.

#### Parameters

`str` | `const char*`
| Search string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`flags` | `GtkTextSearchFlags`
| Bitmask of flags affecting the search.
`match_start` | `GtkTextIter`
| Return location for start of match.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`match_end` | `GtkTextIter`
| Return location for end of match.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`limit` | `GtkTextIter`
| Location of last possible `match_start`, or `NULL` for start of buffer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Whether a match was found.